Skip to main content
`Ctrl`+`K`

# DMSwarmGetCellDM

Fetches the active cell `DM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetCellDM(DM sw, DM *dm)

Collective

## Input Parameter

- sw - a `DMSWARM`

## Output Parameter

- dm - the active `DM` for the `DMSWARM`

## See Also

`DM`, `DMSWARM`, `DMSwarmSetCellDM()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/ts/tutorials/ex77.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages